diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 6f7692503e9b3b0cca39f81881113bc1f0331086..b665cae328a608a77f048cd2a8470b902d1232c3 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -118,11 +118,6 @@ test-arm64:
       - arm64
       
 # per os items
-test-ubuntu18:
-  <<: *test
-  tags:
-    - ubuntu18
-
 test-coss9:
   <<: *test
   tags:
@@ -143,7 +138,7 @@ test-ubuntu22:
 # deploy a docker image
 #
 deploy-u22:
-  needs: [test-coss9, test-ubuntu18, test-ubuntu20, test-ubuntu22, test-arm32, test-arm64, test-bins-arm32, test-bins-arm64]
+  needs: [test-coss9,  test-ubuntu20, test-ubuntu22, test-arm32, test-arm64, test-bins-arm32, test-bins-arm64]
   stage: deploy
   script:
     - ./cicd_testing/do-clean.sh 
diff --git a/tests/rust_test/testit.sh b/tests/rust_test/testit.sh
index 684a2bfefaf351f7e701ad8ccb7a965e5c8f99b0..0a20d0966b8133a816ccd78fc4cec680b1249f79 100755
--- a/tests/rust_test/testit.sh
+++ b/tests/rust_test/testit.sh
@@ -8,7 +8,7 @@ testone()
 	set -e
 	rustc $PUT.rs -o $PUT
 
-	$PSZ $PUT ./$PUT.zipr $OPTS
+	$PSZ $PUT ./$PUT.zipr $OPTS || true # in case warnings happen
 	diff <(./$PUT 2>&1 ) <(./$PUT.zipr 2>&1 )
 
 	# turn off exit-on-error because some programs err and we need their exit code.